@charset "UTF-8";
/* CSS Document */
/*
Here are some commonly used CSS class selectors which 
-class rules can applied to multiple elements on a page
-can be applied in any combination
*/
@font-face {/*instructions to browser where to find your custom font*/
    font-family: nameFont;/*use any name but don't start with a number and don't use spaces or strange characters*/
    src:	url(../fonts/nameFont2.ttf);/*.ttf for non-IE browsers - the comma is very important!!!!*/
}
@font-face {/*instructions to browser where to find your custom font*/
    font-family: buttonFont;/*use any name but don't start with a number and don't use spaces or strange characters*/
    src: url( ../fonts/btnFont.ttf);/*.ttf for non-IE browsers - the comma is very important!!!!*/ 
}
* {
    box-sizing:border-box;/*This allows you to set and border width and padding but the div will retain its set width and set height*/
    position: relative;
    margin: 0;
    padding: 0;
}
html, body {
    width:100%;
    min-height:100%;
    height:auto;
}
header, nav, section, article, figure, figcaption, aside, footer {/*ensures older browsers display these tags correctly*/
    display:block;
    /*DON'T ADD anything else in this selector block - only this property should be in this CSS selector set*/
}
body {/*these are the 5 basic CSS properties and values to start a website*/
	font-family: Verdana, sans-serif;/*change this for your design*/
	font-size: 100%;/*DON'T CHANGE THIS VALUE HERE - you can set font sizes in other selector styles*/
	color: rgba(0,0,0,1.00);/*main text color, default black, change as needed*/
	margin: 0;/*removes default edges*/
	padding: 0;/*removes default settings*/
	z-index: 0;/*stacking order - small numbers a below high numbers*/
	background-color: #95DDB7;
}
#nameBox {
	width: 100%;
	height: 100vh;
	position: fixed;
	top: 0px;
	left: 0px;
	background-image: url(../images/background3.jpg);
	background-position: center center;
	background-size: cover;
	display: -webkit-flex;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 1000000;
	font-family: nameFont;
	font-size: 4em;
	cursor: pointer;
	color: #fff;
}
.firstLetter {
	font-size: 2em;
	color: #1D8B97;
}
#centeringDiv, .centeringDiv{
    max-width:980px;/*optimum width for both desktops, laptops, and tablets*/
    width:100%;/*allows the page to resize it's width to fit smaller devices*/
    height: auto;/*optimum height for both desktops, laptops, and tablets*/    
    margin:0 auto;/*0 = no margin for top and bottom and auto = same margin for left and right*/
    z-index:1;/*stacking order - small numbers a below high numbers*/
}
nav {
    width:100%;/*change as needed*/
    height:70px;/*change as needed*/
    margin: 0 auto;
    z-index:1001;/*stacking order, bigger numbers are on top*/
    display:-webkit-flex;/*allows elements in nav to have flexible locations*/
    display:flex;/*allows elements in nav to have flexible locations*/
    justify-content:center;/*horizontally centers all elements in nav*/
    align-items:center;/*vertically centers all elements in nav for a single row of elements*/
    flex-direction:row;/*places all elements in nav in a row - other option is column*/
    flex-wrap:no-wrap;/*ensures that elements in nav do NOT wrap to a 2nd row*/ 
	background-color:#216042;
}
.btn {
    z-index:1002;/*stacking order, bigger numbers are on top*/  
    margin:auto;/*IMPORTANT! togther with btn justify-content will space out buttons automatically*/
    display:-webkit-flex;/*allows elements in btn to have flexible locations*/
    display:flex;/*allows elements in btn to have flexible locations*/
    justify-content:center;/*horizontally centers all elements in btn*/
    align-items:center;/*vertically centers all elements in btn for a single row of elements*/
    flex-direction:row;/*places all elements in btn in a row - other option is column*/
    flex-wrap:no-wrap;/*ensures that elements in btn do NOT wrap to a 2nd row*/ 
	font-family: buttonFont;
	font-size: 1em;
	color:#3E7FBE;
	cursor: pointer;
}
section {/*used for the main content area*/
    width:100%;
    height:auto;
    z-index:900;/*stacking order - below nav and .btn and article*/ 
    clear:both;/*clears away and floating or text wrapping*/
}
article p {
    text-indent: 0rem;/*an rem is the size of a letter m relative to what's set in the body css rule*/
}
footer {
    clear: both;/*clears away and floating or text wrapping*/
    text-align: center;
    font-size: 0.8rem;
    width: 100%;
    line-height: 1.2rem;/*This will help to vertically center the text */  
    height: 40px;
    z-index: 900;/*stacking order - below article, nav, and .btn*/ 
	padding: 10px;
	font-family: buttonFont;
	background-color:#216042;
	color: #92E7E5;
	position: fixed;
	bottom: 0px;
	left: 0px;
}
/*===========Class rules to apply to multiple elements in the HTML===============================*/
figure {max-width:300px; width:100%;margin: auto;}/*change if needed for global figure widths*/
figure, figure p, figcaption p {text-indent: 0; text-align:center;}/*for any captions or paragraphs inside figure tags*/
figure img {width: 100%; height:auto;}/*forces image in figure to fit a specific figure width set with other CSS - default is 500px wide*/
.floatLeft {float: left;}/*positions an element on the left of parent div and have text wrap around it*/
.floatRight {float: right;}/*positions an element on the right of parent div and have text wrap around it*/
.centerText {text-align: center;}/*apply to p, h1, h2, h3, h4, h5, h6 tags - positions text in center of parent div*/
.clearFloats {clear: both; width:100%; position:relative; height:1px;}/*apply to div tags - clears away and floating or text wrapping*/
header, #allArticles {
	width: 100%;/*This is changed by javascript*/
	margin: auto;
}
header {
	display: flex;
	align-content: center;
	justify-content: center;/* flex-start, flex-end, space-between */
	height: 230px;/*adjust this to your desired header height*/
	background-repeat: no-repeat;
	background-position: top center;
	background-size: cover;/*REQUIRED to completely cover the entire width of headers*/
	margin-bottom: 10px;/*To separate header from main text section */
	z-index: 201;
}
.headerTitle {
	text-align: center;
	font-size: 3em;
	font-weight: bold;
	margin: auto;/*REQUIRED to vertically and horizontally center*/
	z-index: 202;
	font-family: buttonFont;
	color: #1F90A0;
}
#header0 {
	background-image: url(../images/bg0.jpg);
}
#header1 {
	background-image: url(../images/bg1.jpg);
}
#header2 {
	background-image: url(../images/bg2.jpg);
}
#header3 {
	background-image: url(../images/bg3.jpg);
}
#header4 {
	background-image: url(../images/bg4.jpg);
}
#header5 {
	background-image: url(../images/bg5.jpg);
}
#header6 {
	background-image: url(../images/bg6.jpg);
	background-position: center 40%;
}
#header7 {
	background-image: url(../images/bg7.jpg);
}
#header8 {
	background-image: url(../images/bg8.jpg);
}
#header9 {
	background-image: url(../images/bg9.jpg);	
}
#header4 .headerTitle {
	color: #0D2A43
}
#header6 .headerTitle{
	color: #0C1743
}
#header7 .headerTitle {
	color: #0C433A
}
#header9 .headerTitle {
	color: #051B2E
}
/*----Main content styles -------*/
#allArticles {
	width: 100%;
	height: calc(100vh - 110px);
}
#allArticles {
	margin: 0 auto;
	z-index: 100;
}
#allArticlesWrapper {
	z-index: 200;
}
article {
	float: left;
	z-index: 300;
	height: calc(100vh - 110px);
	overflow: hidden;
}
section h1 {
	text-align: center;
	font-size: 2em;
}
section {
	margin: 0 auto;/* centers the text content */
	z-index: 201;
	height: 50vh;
	display: -webkit-flex;
	display: flex;
	justify-content: flex-start;
	align-content: center;
	flex-direction: row;
	flex-wrap: nowrap;
}
.sectionText {
	display: -webkit-flex;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	padding: 20px;
}
.sectionText p {
	margin: auto;
}
.thumbnail {
	cursor: pointer;
	z-index: 200;
}
#img0 {
	cursor: default;
}
/*small mobile phone styles*/
@media screen and (max-width:1024px){
	.thumbnail {
		width: 100%;
		height: auto;
		float: none;
		text-align: center;
	}
	.title {
		text-align: center;
		margin-bottom: 10px;
	}
	nav, .btn {
		height: 0;
		display: none;
	}
	#allArticles, #allArticlesWrapper, article {
		height: auto;
		width: 100%;
		overflow: visible;
	}
	#allArticles {
		padding: 0px;
	}
	article {
		margin-bottom: 50px;
		float: none;
		display: block;
	}
	#article0 {
		margin-top: 75px;
	}
	header {
		height: 150px;
		font-size: 1rem;
	}
	section {
		padding: 5px;
		display: block;
		height: auto;
	}
}
